#include <bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    string s, t;
    cin >> s >> t;
    string res = "";
    if(s.size() > t.size()) swap(s, t);
    reverse(s.begin(), s.end());
    reverse(t.begin(), t.end());
    for(int i = 0; i < s.size(); i++) {
    	if(s[i] < t[i]) res += t[i];
    	else if(t[i] < s[i]) res += s[i];
    	else {
    		res += s[i];
    		res += t[i];
    	}
    }
    for(int i = s.size(); i < t.size(); i++) res += t[i];
    reverse(res.begin(), res.end());
    cout << res;
    return 0;
}